From b7092f067db35e328033d61344723a50d4b387fe Mon Sep 17 00:00:00 2001
From: skrzepto <skrzepto@gmail.com>
Date: Jun 08 2016 12:22:58 +0000
Subject: [PATCH 486/1001] fixing unittests. the widget key in the data variable was causing errors to convert into json so i popped it off and made some minor string adjustments to pass the tests


---

diff --git a/hubs/models.py b/hubs/models.py
index 059ad28..8dee5ff 100755
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -315,6 +315,7 @@ class Widget(BASE):
     def __json__(self, session):
         module = hubs.widgets.registry[self.plugin]
         data = module.data(session, self, **self.config)
+        data.pop('widget', None)
         return {
             'id': self.idx,
             # TODO -- use flask.url_for to get the url for this widget
diff --git a/hubs/tests/test_widgets/test_about.py b/hubs/tests/test_widgets/test_about.py
index 675dc6a..6890f7b 100644
--- a/hubs/tests/test_widgets/test_about.py
+++ b/hubs/tests/test_widgets/test_about.py
@@ -13,6 +13,7 @@ class TestBadges(hubs.tests.test_widgets.WidgetTest):
         data = json.loads(response.data)
         del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
-            u'source_url': u'/source/about/',
+            u'edit_url': u'/ralph/51/edit',
+            u'source_url': u'/source/about',
             u'text': u'Testing.',
         })
diff --git a/hubs/tests/test_widgets/test_fedmsgstats.py b/hubs/tests/test_widgets/test_fedmsgstats.py
index 39bd99e..8cd43e4 100644
--- a/hubs/tests/test_widgets/test_fedmsgstats.py
+++ b/hubs/tests/test_widgets/test_fedmsgstats.py
@@ -13,9 +13,10 @@ class TestFedmsgStats(hubs.tests.test_widgets.WidgetTest):
         data = json.loads(response.data)
         del data['data']['widget_url']
         self.assertDictEqual(data['data'], {
+            u'edit_url': u'/ralph/33/edit',
             u'fedmsgs': 83854,
             u'fedmsgs_text': u'83,854',
-            u'source_url': u'/source/fedmsgstats/',
+            u'source_url': u'/source/fedmsgstats',
             u'subscribers': [],
             u'subscribed_to': [],
             u'subscribers_text': u'0',

